<template>
	<div>
		<el-dialog :visible="visible" :title="title" :before-close="handleClose" :close-on-click-modal="false">
			{{this.dataDetails.memo}}
		</el-dialog>
	</div>
</template>

<script>
	import * as echarts from 'echarts'
	import {
		mapState
	} from 'vuex'
	import comprehensiveTheme from '@/api/bigScrenn/comprehensiveTheme.js'
	export default {
		name: 'echartsDialog',
		components: {},
		data() {
			return {
				visible: false,
				title: '',
				dataDetails: {}
			}
		},
		created() {},
		mounted() {

		},
		methods: {
			add(val) {
				console.log(val);
				this.dataDetails = {}
				this.title = val
				this.visible = true
				comprehensiveTheme.findByCode(val, res => {
					if (res.value) {
						this.dataDetails = res.value
					}
				})

			},
			handleClose() {
				this.visible = false
			},

		}
	}
</script>

<style lang="scss" scoped>
	* {
		padding: 0;
		margin: 0;
	}

	.full {
		height: calc(321px - 40px);
	}

	/deep/ .el-dialog {
		width: 1031px;
		position: absolute;
		left: 0;
		background: rgba(7, 23, 57, 0.8);
		// background: url('~@/assets/img/dialog-bg.png') center / 100% 100% no-repeat;
	}

	/deep/ .el-dialog__header {
		background: #1664B8;
		border-radius: 5px 5px 0px 0px;
		height: 46px;
		padding: 10px 10px;
		box-sizing: border-box;
		margin: 0;
	}

	/deep/ .el-dialog__title {
		color: #fff;
	}

	/deep/ .el-dialog__body {
		padding: 12px;
		min-height: 200px;
		border: 1px solid rgba(22, 100, 184, 0.83);
		box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.29);
		border-radius: 0 0 5px 5px;
		color: #fff;
	}

	/deep/ .el-dialog__headerbtn {
		background: url("~@/assets/img/shut.png");
		background-size: cover;
		height: 20px;
		width: 20px;

		i {
			display: none; // 在这里隐藏弹窗默认的关闭图标
		}
	}
</style>
